get
https://www.rebuildingsociety.com/api/rs/Loans
Search for all loans available at primary and secondary marketplace. The service shall return either all loans currently available.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Search for all loans/microloans available for auction.
The service shall return either all loans and/or microloans currently available.
- When using apikey, endpoint will not try to look for authorization header.
- When using authorization header, bearer token should be of type client_credentials.
- To calculate your_existing_exposure MARKETPLACE and MICROLOANS filters require apikey + userkey or password-type access_token for authorization, otherwise your_existing_exposure = 0
- Filter = MYLOANS require apikey + userkey or password-type access_token authorization
Description
Definition: Search for all loans available for auction.
Parameters
| Parameter | Definition |
|---|---|
| loan_id | The id of the loan. If no id is supplied then all loans are returned. |
| detail | The level of detail of the information returned. |
| filter | Filter returned loans/microloans. |
| apikey | API access key supplied by Rebuilding Society. |
| userkey | Token for User Authentication see Userkey |
| offset | Offset for the loans |
| limit | Limit loans number |
Filter parameter description:
| Parameter | Description |
|---|---|
| MYLOANS | Return all loans for the user identified by api_key. Require apikey + userkey or password-type access_token |
| APPROVED | Return all loans with the status does begin with "Approved%". |
| CLOSED | Return all loans with status does begin with "Fu%" . This include statuses: “Funded%”,”Fully repaid”. |
| ALL | Returns all the loans, except loans with status:” Rejected”,” Pending review”. |
| MARKETPLACE | Returns all the loans (except with status:” Rejected”, ”Pending review”) at primary and secondary marketplace. |
| MICROLOANS | Returns only secondary marketplace loans |
